/* This file contains all the per-site configuration options
 * Change to suit local needs.  These values are used in the
 * absence of any over-riding values in the config file, and
 * are restored each time the config file is re-read.
 */

#ifndef CONFIGFILE
#define CONFIGFILE	"/etc/tftpd.conf"
#endif

#ifndef DUMPFILE
#define DUMPFILE	"/var/tmp/tftpd_dump"
#endif

#ifndef LOGFILE
#define LOGFILE		"/var/log/tftpd.log"
#endif

#ifndef PIDFILE
#define PIDFILE		"/var/run/tftpd.%s.pid"
#endif

#ifndef DEFAULTDIR
#define DEFAULTDIR	"/usr/local/tftpboot"
#endif

#ifndef ROOTDIR
#define ROOTDIR		NULL
#endif

#ifndef TFTPPORT
#define TFTPPORT	69
#endif

#ifndef TFTPSERVICE
#define TFTPSERVICE	"tftp"
#endif

#ifndef TFTPUID
#define TFTPUID		65534
#endif

#ifndef TFTPGID
#define TFTPGID		-2
#endif

#ifndef	DEFTIMEOUT
#define DEFTIMEOUT	5
#endif

#ifndef	MESSAGELEVEL
#define MESSAGELEVEL	1
#endif

#ifndef	MAXSYSLOG
#define MAXSYSLOG	-1
#endif

#ifndef LOGFACILITY	
#define LOGFACILITY	LOG_DAEMON
#endif

#ifndef FILTERMAX
#define FILTERMAX	128
#endif
